# service.yaml
apiVersion: v1
kind: Service
metadata:
  labels:
    app: demo-web-app
  name: demo-web-app-nodeport
  namespace: demo-app
spec:
  selector:
    app: demo-web-app
  ports:
  - port: 8080
    name: demo-web-app
    nodePort: 31111
    protocol: TCP
    targetPort: 8080
  type: NodePort
  

  